Agents

Deployment success aggregates over time

GET
/organizations/{organizationId}/certiwise/monitoring/deployments/aggregates

Path Parameters

organizationId*string
Formatuuid

Query Parameters

timeRange?string

Value in

  • "1h"
  • "24h"
  • "7d"
  • "30d"
  • "90d"

Header Parameters

x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"
x-organization-id*string

Must match the organizationId path segment

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/certiwise/monitoring/deployments/aggregates" \  -H "x-organization-role: ORG_ADMIN" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "successRate": 0,  "series": [    {      "timestamp": "2019-08-24T14:15:22Z",      "succeeded": 0,      "failed": 0    }  ]}
{  "message": "string"}
{  "message": "string"}